# $Revision: 1.39 $, $Date: 2006/12/21 23:50:13 $
%define 	module	pycurl
Summary:	Free and easy-to-use client-side URL transfer library
Summary(pl):	atwa w uyciu biblioteka obsugi URL od strony klienta
Name:		python-%{module}
Version:	7.15.5.1
Release:	2
License:	LGPL
Group:		Libraries/Python
Source0:	http://pycurl.sourceforge.net/download/%{module}-%{version}.tar.gz
# Source0-md5:	464cfbeba150d99d92a407c7c8b751de
Patch0:		%{name}-curl.patch
URL:		http://pycurl.sourceforge.net/
BuildRequires:	curl-devel >= 7.15.5
BuildRequires:	python
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-libs
Requires:	curl-libs >= 7.15.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pycurl is Python interface to curl library - free and easy-to-use
client-side URL transfer library, supporting FTP, FTPS, HTTP, HTTPS,
GOPHER, TELNET, DICT, FILE and LDAP. libcurl supports HTTPS
certificates, HTTP POST, HTTP PUT, FTP uploading, kerberos, HTTP form
based upload, proxies, cookies, user+password authentication, file
transfer resume, HTTP proxy tunneling and more!

%description -l pl
pycurl jest interfejsem jzyka Python do biblioteki libcurl -
wolnodostpnej i atwej w uyciu biblioteki operacji na URL-ach od
strony klienta, obsugujcej FTP, FTPS, HTTP, HTTPS, GOPHER, TELNET,
DICT, FILE i LDAP. libcurl obsuguje take certyfikaty HTTPS, HTTP
POST, HTTP PUT, uploady FTP, kerberos, upload plikw przez HTTP oparty
na formularzach, proxy, ciasteczka, uwierzytelnienie, wznawianie
przesyania plikw, tunelowanie proxy i wiele innych.

%package doc
Summary:	Documentation for pycurl Python module
Summary(pl):	Dokumentacja do moduu Pythona pycurl
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description doc
This module contains documentation files for pycurl Python module.

%description doc -l pl
Modu zawierajcy dokumentacj dla moduu Pythona pucurl.

%package examples
Summary:	Examples for pycurl Python module
Summary(pl):	Przykadowe programy do moduu Pythona pycurl
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description examples
This module contains examples for pycurl Python module.

%description examples -l pl
Modu zawierajcy przykadowe programy do moduu Pythona pycurl.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{py_sitedir},%{_examplesdir}/%{name}-%{version}}

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

find $RPM_BUILD_ROOT%{py_sitedir} -name \*.py -exec rm {} \;

cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README ChangeLog TODO
%attr(755,root,root) %{py_sitedir}/*.so
%dir %{py_sitedir}/curl
%{py_sitedir}/curl/*.py[co]

%files doc
%defattr(644,root,root,755)
%doc doc/*

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pycurl.spec,v $
Revision 1.39  2006/12/21 23:50:13  arekm
- rel 2; fix for new curl

Revision 1.38  2006/11/18 13:34:24  qboosh
- require python-libs not python interpreter

Revision 1.37  2006/11/18 13:33:10  qboosh
- BR: rpm-pythonprov

Revision 1.36  2006/09/11 21:15:06  qboosh
- updated to 7.15.5.1

Revision 1.35  2006/08/16 16:41:05  qboosh
- updated to 7.15.5

Revision 1.34  2006/06/23 06:05:40  qboosh
- updated to 7.15.4

Revision 1.33  2006/03/05 09:09:18  qboosh
- updated to 7.15.2 (for curl 7.15.2)
- depend on curl-libs not whole curl

Revision 1.32  2006/02/03 18:52:36  qboosh
- updated to 7.15.1 (fixes memory leak)

Revision 1.31  2005/10/21 09:14:59  qboosh
- updated to 7.15.0

Revision 1.30  2005/10/13 09:38:56  qboosh
- updated to 7.14.1

Revision 1.29  2005/04/08 21:40:04  adamg
- updated to 7.13.2

Revision 1.28  2005/03/10 09:02:31  charles
- BR: python, python-devel, python-modules

Revision 1.27  2005/03/07 00:24:35  charles
- updated to 7.13.1
- rm obsolete BR: rpm-pythonprov

Revision 1.26  2005/02/12 19:16:51  qboosh
- updated to 7.13.0

Revision 1.25  2004/12/28 20:09:11  adamg
- updated to 7.12.3

Revision 1.24  2004/12/25 15:56:18  saq
- release 2 for rebuild with python 2.4

Revision 1.23  2004/10/29 09:37:42  paladine
- "HTTP" unification

Revision 1.22  2004/10/24 21:34:53  qboosh
- pl fix

Revision 1.21  2004/10/24 21:18:04  paladine
- spelling fixes, uppercases, etc.

Revision 1.20  2004/09/06 21:09:16  qboosh
- reverted buggy commit

Revision 1.19  2004/09/06 08:21:13  darekr
- missing doc files

Revision 1.18  2004/08/31 14:16:02  qboosh
- libidn-devel is required by curl-devel >= 7.12, not pycurl

Revision 1.17  2004/08/31 13:50:42  darekr
- update to 7.12.1
- add BR libidn-devel

Revision 1.16  2004/07/28 08:03:17  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.15  2004/06/09 08:55:06  zboczuch
- version 7.12
- BR: curl-devel >= 7.11.2
- separated -doc and -examples submodules
- cosmetics

Revision 1.14  2004/05/31 22:22:26  leafnode
- updated to 7.11.3

Revision 1.13  2004/05/26 21:15:22  ankry
- capitalization, tabs, other cosmetics

Revision 1.12  2004/05/02 18:21:34  leafnode
- updated to 7.11.2

Revision 1.11  2004/03/23 22:17:18  matkor
- Version 7.11.1-1.

Revision 1.10  2003/12/02 01:41:08  domelu
- up to 7.10.8

Revision 1.9  2003/12/01 23:58:45  matkor
- Release 2. Ac rebuild with changed Pythons ABI.

Revision 1.8  2003/11/03 00:19:13  arekm
- updated to 7.10.6

Revision 1.7  2003/08/28 08:20:34  ankry
- cosmetics

Revision 1.6  2003/07/02 01:26:31  blues
- cosmetics

Revision 1.5  2003/06/12 11:56:20  matkor
- Autoupdated to version 7.10.5. Release 1.

Revision 1.4  2003/05/28 13:01:30  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 06:26:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2002/11/05 15:20:36  qboosh
- pl fixes, BR: rpm-pythonprov

Revision 1.1  2002/11/05 15:04:34  matkor
- Useful python iface to libcurl.
